import unittest

import influxframework

import influxerp


@influxerp.allow_regional
def test_method():
	return "original"


class TestInit(unittest.TestCase):
	def test_regional_overrides(self):
		influxframework.flags.country = "Maldives"
		self.assertEqual(test_method(), "original")

		influxframework.flags.country = "France"
		self.assertEqual(test_method(), "overridden")
